Subject: Re: [bug#40309] [PATCH] system: Move nanorc to XDG_CONFIG_HOME.

From: Leo Famulari <[email-masked]>
Date: Mon, 30 Mar 2020 16:06:46 -0400

On Sun, Mar 29, 2020 at 10:22:38AM +0300, Efraim Flashner wrote:
> * gnu/system/shadow.scm (default-skeletons): Move .nanorc to
> .config/nano/nanorc.

Unfortunately it caused reconfiguration to fail so I reverted this
change in commit 49d20d51e9f0b2944b0e13366d042950554ca931

------
building /gnu/store/y1x8asbzw624ywgkpin35p1i4bqnyfy2-skel.drv...
Backtrace:
           4 (primitive-load "/gnu/store/2x7d0jsbgf2ndb5fsk0nj07rhsx?")
In ice-9/eval.scm:
    619:8  3 (_ #f)
In ice-9/boot-9.scm:
   260:13  2 (for-each #<procedure 7ffff6ad8100 at ice-9/eval.scm:3?> ?)
In guix/build/utils.scm:
   343:27  1 (_ "/gnu/store/ajrgkj1s9vdcq00drn703f4zj9dvfrsv-nanorc" ?)
In unknown file:
           0 (copy-file "/gnu/store/ajrgkj1s9vdcq00drn703f4zj9dvfrs?" ?)

ERROR: In procedure copy-file:
In procedure copy-file: No such file or directory
`/gnu/store/v1grsca743phw41lyf63dzmh9nz5jlpn-bash_profile' -> `.bash_profile'
`/gnu/store/xdsaw0mj6axj427hyi6ysrnsxi21n7d5-bashrc' -> `.bashrc'
`/gnu/store/6i0b236dyar78zc5k5hrj5dv3vr4zb9w-zprofile' -> `.zprofile'
`/gnu/store/ajrgkj1s9vdcq00drn703f4zj9dvfrsv-nanorc' -> `.config/nano/nanorc'
builder for `/gnu/store/y1x8asbzw624ywgkpin35p1i4bqnyfy2-skel.drv' failed with exit code 1
build of /gnu/store/y1x8asbzw624ywgkpin35p1i4bqnyfy2-skel.drv failed
------

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=49d20d51e9f0b2944b0e13366d042950554ca931